<?php

function ___does_provide_service($svcs, $svc_id)
{
    foreach ($svcs as $svc) {
        if ($svc['service_id'] == $svc_id) return true;
    }

    return false;
}

?>
<div class="c-body">
    <p class="step-lab"> <?= __('step')?> 4/7 </p>
    <div class="c-title"><?= __('pv2_section_sexual_orientation') ?>
        <span class="tip" title="<?= __('pv2_tip_sexual_orientation') ?>"></span>
    </div>

    <div class="body">
        <select name="sex_orientation" class="options-vertical clearFloat">
            <? foreach (array(1 => __('heterosexual'), 2 => __('bisexual'), 3 => __('homosexual')) as $id => $opt): ?>
                <option value="<?= $id ?>"<?= $this->data['sex_orientation'] == $id ? ' selected="selected"' : '' ?>>
                    <?= $opt ?>
                </option>
            <? endforeach ?>
        </select>
    </div>
</div>

<div class="c-body">

    <div class="c-title"><?= __('pv2_section_services_offered_for') ?></div>

    <div class="body">

        <div class="inner">
            <span class="services_offered_for_error"></span>

        </div>
        <div class="clear"></div>

        <ul class="options-vertical clearFloat">
            <? foreach ($this->defines['sex_availability_options'] as $id => $opt): ?>
                <li class="chStyle">
                    <input id="service-for-<?= $id ?>" type="checkbox" name="sex_availability[]"
                           value="<?= $id ?>"<?= in_array($id, explode(',', $this->data['sex_availability'])) ? ' checked="checked"' : '' ?> />
                    <label for="service-for-<?= $id ?>"><span><?= $opt ?></span></label>
                </li>
            <? endforeach ?>
        </ul>
    </div>
</div>

<div class="clear"></div>

<? $config = Zend_Registry::get('escorts_config'); ?>
<? if ($config['profile']['services'] != 0): ?>

    <div class="c-body all-services ">
        <div class="c-title plr15"><?= __('pv2_title_most_common_services') ?></div>

        <ul class="plr15 services_ul">
            <? foreach ($this->defines['services']['common'] as $id => $svc): ?>
                <li class="chStyle clearFloat">
                    <div class="l-service-block toLeft">
                        <input id="svc-<?= $id ?>" type="checkbox" name="services[]"
                               value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> />
                        <label for="svc-<?= $id ?>"><?= $svc ?></label>
                    </div>

                </li>
            <? endforeach ?>
        </ul>
    </div>

    <div class="c-body all-services hide_services">
        <div class="c-title plr15"><?= __('pv2_title_extra_services') ?></div>

        <ul class="plr15 services_ul">
            <? foreach ($this->defines['services']['extra'] as $id => $svc): ?>
                <li class="chStyle clearFloat">
                    <div class="l-service-block toLeft">
                        <input id="svc-<?= $id ?>" type="checkbox" name="services[]"
                               value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> />
                        <label for="svc-<?= $id ?>"><?= $svc ?></label>
                    </div>

                </li>
            <? endforeach ?>
        </ul>
    </div>


    <div class="c-body all-services hide_services">
        <div class="c-title plr15"><?= __('pv2_title_fetish_bizzare_services') ?></div>

        <ul class="plr15 services_ul">
            <? foreach ($this->defines['services']['fetish'] as $id => $svc): ?>
                <li class="chStyle clearFloat">
                    <div class="l-service-block toLeft">
                        <input id="svc-<?= $id ?>" type="checkbox" name="services[]"
                               value="<?= $id ?>"<?= ___does_provide_service($this->data['services'], $id) ? ' checked="checked"' : '' ?> />
                        <label for="svc-<?= $id ?>"><?= $svc ?></label>
                    </div>

                </li>
            <? endforeach ?>
        </ul>
    </div>



    <div class="text-center">
        <button type="button" class="show_more_services"><?= __('show_more')?></button>
    </div>

<? endif; ?>


<?php function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
} ?>

<?php $__np_profile = false;
$__class = ''; ?>
<?php if (hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE) && !$this->user->isAgency()): ?>
    <?php $__np_profile = true;
    $__class = 'no-profile'; ?>
<?php endif; ?>


<div id="saveWrapper" class="<?= $__class ?>">
    <input class="to-next" type="button" value="<?= __('mob_go_next') ?>"/>
    <input class="to-prev" type="button" value="<?= __('mob_go_back') ?>"/>
</div>

<script>
    $(document).ready(function () {

        <?php foreach( $this->errors as $field => $msgs ): ?>
        $('[name="<?=$field?>"]').addClass('field-error');
        MCubix.Errors.show('<?= addslashes($msgs) ?>', true);
        <?php endforeach; ?>

        $('.show_more_services').click(function () {
            $('.hide_services').css('display','block');
            $(this).remove();
        })
    });
</script>


<?php
$_errors = array();
if (count($this->errors)) {
    $_errors = $this->errors;
}
$_errors = json_encode($_errors);
?>
<script type="text/javascript">
    $(document).ready(function () {
        MCubix.Profile.Edit.Services.init();
    });

    MCubix.Profile.Edit.Services = {
        init: function () {
            this.setErrors();
        },

        setErrors: function () {
            var _errors = jQuery.parseJSON('<?=$_errors?>');

            for (var i in _errors) {
                $('.' + i).addClass('f-error').html(_errors[i] + ' *');
            }
        }
    };
</script>